import { useState } from "#imports";
import { useSupabaseClient } from "./useSupabaseClient.mjs";
export const useSupabaseUser = () => {
  const supabase = useSupabaseClient();
  const user = useState("supabase_user", () => null);
  supabase?.auth.getSession().then(({ data: { session } }) => {
    if (session) {
      if (JSON.stringify(user.value) !== JSON.stringify(session.user)) {
        user.value = session.user;
      }
    } else {
      user.value = null;
    }
  });
  return user;
};
